QGIS Application - Bug report #11786

Qgis categorized style classification interprets null as zero from Postgis table

2014-12-03 11:55 AM - Rob Flemming

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:2.6.1 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20013

Description

| realize this is similar to an issue from over seven years ago that was closed #962, but i don't understand the solution given then and

haven't been able to resolve the issue | am having now.

| have a Postgis table with a few null values in an int field and no zeros. When | style the layer with a categorized classification on that

field, classes are added for both 0 and null, and on the map the nulls are rendered using the symbol for zero.

When | look at the attribute table, | see the NULLs where | expect them.

(In this case it's not a big deal, i can just change the label for the zero to 'null’, but if | had actual zero's in my data, they would also be

drawn with the same value.)

Thanks, Rob

Associated revisions

Revision e3e42f02 - 2015-01-17 10:25 AM - Jiirgen Fischer

fix support for null values in categories (fixes #11786)

History

#1 - 2014-12-04 05:37 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to 2.6.1
- OS version deleted (7)

- Operating System deleted (Windows)

- Priority changed from Normal to Severe/Regression

This was working as expected in previous QGIS releases (like 2.0.1).

#2 - 2015-01-17 01:28 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"e3e42f02a297a981684c1c8dfe6c8add7457a7e3".
